Bug 68187 - oops: kernel BUG at slab.c:1439!
oops: kernel BUG at slab.c:1439!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-07 16:14 EDT by George Sohos
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Sohos 2002-07-07 16:14:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.0.3705)

Description of problem:
The box is an athlon 1600+ xp. Kernel: 2.4.18-5debug. The machine produced a couple of oopsen that may or may not be related. They seemed to happen at the same spot.
Other than the oopen, the machine is still up and going, haven't rebooted it yet. I have no idea how long ago these happened. The box looked normal to me.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

kernel BUG at slab.c:1439!
invalid operand: 0000
via-rhine mii ide-cd cdrom ext3 jbd
CPU:    0
EIP:    0010:[<c012ffee>]    Not tainted
EFLAGS: 00010082

EIP is at kmem_cache_free [kernel] 0x18e (2.4.18-5debug)
eax: 0000001b   ebx: 006a97f8   ecx: 00000001   edx: 00001a68
esi: de749000   edi: de7495a4   ebp: de7495a0   esp: cc447e74
ds: 0018   es: 0018   ss: 0018
Process smbd (pid: 31778, stackpage=cc447000)
Stack: c022c06e 0000059f 00002a7c 00000246 de7495a4 de7495a4 de7495a4 c10a5470
       c013c804 c170e258 de7495a4 de74946c c013e909 de7495a4 de7495a4 c17a3df0
       c0129f03 c1161830 c01603c0 c10a5470 cbe3d8f8 000005a0 de7495a4 c0130a8b
Call Trace: [<c013c804>] __put_unused_buffer_head [kernel] 0x34
[<c013e909>] try_to_free_buffers [kernel] 0x79
[<c0129f03>] page_cache_read [kernel] 0x93
[<c01603c0>] ext2_get_block [kernel] 0x0
[<c0130a8b>] drop_page [kernel] 0x2b
[<c012a3fc>] drop_behind [kernel] 0x7c
[<c012a860>] do_generic_file_read [kernel] 0x1e0
[<c012ae1e>] generic_file_read [kernel] 0x7e
[<c012acc0>] file_read_actor [kernel] 0x0
[<c013a9d6>] sys_read [kernel] 0x96
[<c013a929>] sys_llseek [kernel] 0xc9
[<c0108913>] system_call [kernel] 0x33


Code: 0f 0b 58 5a 8b 44 24 1c 89 ea 8b 78 18 b8 71 f0 2c 5a 01 fa
 <4>lease timed out
Unable to handle kernel paging request at virtual address d1076554
 printing eip:
c01177a8
*pde = 110001f1
*pte = e6b6f0e6
Oops: 0003
via-rhine mii ide-cd cdrom ext3 jbd
CPU:    0
EIP:    0010:[<c01177a8>]    Not tainted
EFLAGS: 00010202

EIP is at mmput [kernel] 0x18 (2.4.18-5debug)
eax: dbff19d4   ebx: dbff1f44   ecx: 00000000   edx: d1076554
esi: d247c0dc   edi: d247c000   ebp: 0000000b   esp: d247decc
ds: 0018   es: 0018   ss: 0018
Process zcat (pid: 29141, stackpage=d247d000)
Stack: dbff1f44 c011baf3 dbff1f44 d247c56c c4f980c8 d247df50 0000000b c01210d3
       c170e7a8 c4f980a4 d247c000 0000000b d247c000 d247df30 0000000b 0000000b
       0000000b dba4c66c d247dfc4 c01087b8 0000000b 0000000b d247df30 d247c564
Call Trace: [<c011baf3>] do_exit [kernel] 0xb3
[<c01210d3>] collect_signal [kernel] 0x93
[<c01087b8>] do_signal [kernel] 0x1f8
[<c021aec8>] zlib_inflate_flush [kernel] 0x1d78
[<c0142ec0>] pipe_write [kernel] 0x150
[<c013ab2b>] sys_write [kernel] 0xeb
[<c011cd3b>] do_softirq [kernel] 0x4b
[<c0115470>] do_page_fault [kernel] 0x0
[<c010894c>] signal_return [kernel] 0x14


Code: 89 02 ff 0d 68 e1 33 c0 53 e8 da 19 01 00 5a ff 4b 14 0f 94


--------------------------------------------------------------------
kernel BUG at slab.c:1439!
invalid operand: 0000
via-rhine mii ide-cd cdrom ext3 jbd
CPU:    0
EIP:    0010:[<c012ffee>]    Not tainted
EFLAGS: 00010082

EIP is at kmem_cache_free [kernel] 0x18e (2.4.18-5debug)
eax: 0000001b   ebx: 00653f78   ecx: 00000001   edx: 000024de
esi: dced9000   edi: dced9404   ebp: dced9670   esp: d1b77e74
ds: 0018   es: 0018   ss: 0018
Process tripwire (pid: 26288, stackpage=d1b77000)
Stack: c022c06e 0000059f 00000018 00000246 dced9674 dced9674 dced9404 c127e808
       c013c804 c170e258 dced9674 dced92cc c013e909 dced9674 dced9674 c17ac6d8
       c0129f03 c11bc360 c01603c0 c127e808 d0752138 00000000 dced9404 c0130a8b
Call Trace: [<c013c804>] __put_unused_buffer_head [kernel] 0x34
[<c013e909>] try_to_free_buffers [kernel] 0x79
[<c0129f03>] page_cache_read [kernel] 0x93
[<c01603c0>] ext2_get_block [kernel] 0x0
[<c0130a8b>] drop_page [kernel] 0x2b
[<c012a3fc>] drop_behind [kernel] 0x7c
[<c012a860>] do_generic_file_read [kernel] 0x1e0
[<e08be7ca>] via_rhine_rx [via-rhine] 0x32a
[<c012ae1e>] generic_file_read [kernel] 0x7e
[<c012acc0>] file_read_actor [kernel] 0x0
[<c013a9d6>] sys_read [kernel] 0x96
[<c011cd3b>] do_softirq [kernel] 0x4b
[<c0109e7c>] do_IRQ [kernel] 0x9c
[<c0108913>] system_call [kernel] 0x33


Code: 0f 0b 58 5a 8b 44 24 1c 89 ea 8b 78 18 b8 71 f0 2c 5a 01 fa
Comment 1 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.